EDIT - feature request #5687

search for alternative identifiers
04/07/2016 01:04 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 6:00 hours
Target version: Release 5.0

Severity: normal

Description

In the reference selection dialog alternative identifiers should be usable for searching. In search result the alternative identifier and
the titlecache of the reference should be displayed (behind titteCache in brackets [].

Make-configurable-via-preferenees: => moved to #7283

There is a method in IdentifableServiceBase "findByldentifier" which might be useful.

Related issues:

Related to EDIT - feature request #8302: Assure uniqueness of E+M reference n... New
Has duplicate EDIT - feature request #3983: [DISCUSS] Easier reference select... Duplicate
Copied to EDIT - feature request #7283: Improvements for alternative identifi... Resolved

Associated revisions

Revision 8acdc0b7 - 12/05/2016 09:43 AM - Andreas Miiller
fix #4594 fix includeEntity issue for findByMarker and findByldentifier methods

Revision ¢781¢97b - 12/15/2017 01:15 PM - Katja Luther

implement possibility to get cdmEntities by identifiers in dialogs

Revision 28c6d8ea - 12/15/2017 01:19 PM - Katja Luther
ref #5687: add possibility to search for identifier

Revision fd3565e6 - 05/03/2018 03:46 PM - Katja Luther
fix #5687: matchmode needs to be BEGINNING for identifier search

History

#1 - 04/07/2016 11:52 PM - Andreas Miiller

- Keywords set to Euro+Med,

#2 - 06/21/2016 11:57 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Euro+Med Migration

#3 - 06/21/2016 11:57 AM - Andreas Miiller

- Target version changed from Euro+Med Migration to Unassigned CDM tickets

#4 - 09/02/2016 03:07 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#5 - 10/05/2016 12:26 PM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Muiller to Katja Luther

- Priority changed from Highest to Priority14
- Target version changed from Unassigned CDM tickets to Release 4.4

- Estimated time set to 6:00 h

#6 - 12/01/2016 02:04 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:36 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/10/2017 08:45 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#9 - 05/11/2017 10:22 AM - Andreas Mdiller

- Target version changed from Release 4.7 to Release 4.8

#10 - 07/06/2017 10:06 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#11 - 07/21/2017 10:33 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#12 - 09/13/2017 03:00 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

#13 - 09/13/2017 03:18 PM - Andreas Miiller
- Has duplicate feature request #3983: [DISCUSS] Easier reference selection - Euro+Med sourcelD added

#14 - 09/24/2017 01:27 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#15 - 11/08/2017 11:20 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#16 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#17 - 12/15/2017 01:22 PM - Katja Luther

- Status changed from New to In Progress
the first implementation allows in reference selection dialogs to search for identifier. The user can choose by clicking the checkbox.
We also can move the selection of using identifier or not to the preferences.

#18 - 01/31/2018 04:41 PM - Andreas Miiller

- Private changed from Yes to No

#19 - 02/16/2018 12:30 PM - Katja Luther

- Target version changed from Release 4.13 to Release 5.0

#20 - 02/21/2018 01:27 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#21 - 02/21/2018 01:28 PM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 100
#22 - 02/21/2018 01:28 PM - Andreas Miiller

- Copied to feature request #7283: Improvements for alternative identifier search added

#23 - 02/21/2018 01:28 PM - Andreas Miiller
- Status changed from Closed to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 100 to 0

#24 - 02/21/2018 01:29 PM - Andreas Miiller
check, what to copy to #7283

#25 - 04/30/2018 04:26 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Currently the identifier search does not work for me.

What | did in rem_conf_am:
1. Created a new Identifier type "Reference identifier (Test)".
2. Opened references starting with A.Gray and added identifier of given type. Once | used "12345", for the second "45678"
3. Tried to add a nomenclatural reference to taxon by using "Use Identfier" and entering "123*" => no result shown

4. Same with new facts reference
5. Only with "Use Identfier" and entering pure "*" | got the expected result with showing both references having and identifier attached.

#26 - 04/30/2018 04:27 PM - Andreas Miiller

- Status changed from Resolved to Feedback

#27 - 04/30/2018 04:27 PM - Andreas Miiller
- % Done changed from 0 to 20

#28 - 05/03/2018 03:45 PM - Katja Luther

- Status changed from Feedback to Resolved

The problem was MatchMode.EXACT, now it is BEGINNING and it works as aspected

#29 - 05/03/2018 03:46 PM - Katja Luther
- % Done changed from 20 to 50

Applied in changeset taxeditor|fd3565e61bb24dabd487b220dd56f95957achb827.

#30 - 05/03/2018 03:47 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 20

#31 - 05/03/2018 04:01 PM - Katja Luther
- % Done changed from 20 to 80

#32 - 05/06/2018 01:53 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

In search result the alternative identifier and the titlecache of the reference should be displayed (behind titleCache in brackets [].

This seems not to be implemented yet.

03/20/2024 3/4


https://dev.e-taxonomy.eu/redmine/issues/7283
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/fd3565e61bb24dabd487b220dd56f95957acb827

Note: the search works now as expected

#33 - 05/06/2018 01:57 PM - Andreas Miiller

- Description updated

#34 - 05/17/2018 03:58 PM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

#35 - 05/17/2018 05:35 PM - Andreas Miiller

Andreas Muller wrote:

In search result the alternative identifier and the titlecache of the reference should be displayed (behind titleCache in brackets [].

This seems not to be implemented yet.

Still seems not to be implemented. | added it to #7283

#36 - 05/24/2019 11:18 AM - Andreas Miuiller

- Related to feature request #8302: Assure uniqueness of E+M reference number added
